---
updatedAt: 2026-08-13T08:52:29.000Z
agentTools:
  projectIndex: https://conxai.readme.io/llms.txt
---

# Write QAQC activity config

Overwrites the bucket-level qaqc/activity.json file with the JSON request body.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "This is the Conxai Visual Agentic Recognition API of conxai.",
    "title": "Visual Agentic Recognition API",
    "termsOfService": "http://swagger.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "http://www.swagger.io/support",
      "email": "support@swagger.io"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "1.0"
  },
  "paths": {
    "/qaqc/activity": {
      "put": {
        "security": [
          {
            "BearerAuth": []
          }
        ],
        "description": "Overwrites the bucket-level qaqc/activity.json file with the JSON request body.",
        "tags": [
          "qaqc-config"
        ],
        "summary": "Write QAQC activity config",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object"
              }
            }
          },
          "description": "activity.json content",
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/api_handlers.StatusOkStruct"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "//var.ui.conxai.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "description": "Provide the JWT token in the Authorization header prefixed with \"Bearer\"",
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "error": {
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        }
      },
      "api_handlers.StatusOkStruct": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string"
          }
        }
      }
    }
  }
}
```